## com.imcode.imcms.servlet.superadmin
Enum AdminProfiles.Parameter

    java.lang.Object
      java.lang.Enum<AdminProfiles.Parameter>
          com.imcode.imcms.servlet.superadmin.AdminProfiles.Parameter

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<AdminProfiles.Parameter>

Enclosing class:
  AdminProfiles

    public static enum AdminProfiles.Parameter

extends java.lang.Enum<AdminProfiles.Parameter>

Enum Constant Summary
`BACK`
`DELETE_PREFIX`
`EDIT_PREFIX`
`NEW_PROFILE`
`PROFILE_DOCUMENT_NAME`
`PROFILE_ID`
`PROFILE_NAME`

Method Summary
`boolean` `in(javax.servlet.http.HttpServletRequest request)`
`java.lang.String` `suffixFrom(javax.servlet.http.HttpServletRequest request)`
`static AdminProfiles.Parameter` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AdminProfiles.Parameter[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### EDIT_PREFIX

    public static final AdminProfiles.Parameter EDIT_PREFIX

### DELETE_PREFIX

    public static final AdminProfiles.Parameter DELETE_PREFIX

### PROFILE_ID

    public static final AdminProfiles.Parameter PROFILE_ID

### PROFILE_NAME

    public static final AdminProfiles.Parameter PROFILE_NAME

### PROFILE_DOCUMENT_NAME

    public static final AdminProfiles.Parameter PROFILE_DOCUMENT_NAME

### NEW_PROFILE

    public static final AdminProfiles.Parameter NEW_PROFILE

### BACK

    public static final AdminProfiles.Parameter BACK

Method Detail

### values

    public static final AdminProfiles.Parameter[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(AdminProfiles.Parameter c : AdminProfiles.Parameter.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static AdminProfiles.Parameter valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### suffixFrom

    public java.lang.String suffixFrom(javax.servlet.http.HttpServletRequest request)

### in

    public boolean in(javax.servlet.http.HttpServletRequest request)